Subject: Re: bug#61104: 29.0.60; typescript-ts-mode does not provide compilation-mode support

From: Jostein Kjønigsen <[email-masked]>
Date: Fri, 27 Jan 2023 21:52:24 +0100

On 1/27/23 21:30, Eli Zaretskii wrote:
>
> Why isn't this part of compilation-error-regexp-alist-alist?

That is obviously what I think we should do.
We already have good and tested matcher expressions for this.

I was just uncertain about what the conventional way of adding those 
expressions to Emacs:

- adding it directly in the relevant major-mode's source-file, to 
improve code-locality?
- adding it in compile.el, to improve ability to oversee all 
expressions, and be able to optimize those?

I see csharp-mode.el has the expressions added directly there. Should I 
go about preparing patches doing
the same for typescript-ts-mode too?

--
Jostein